> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get all installations of an app within an organization GET https://api.contentful.com/app_definitions/{app_definition_id}/app_installations Reference: https://contentful.com/developers/docs/references/content-management-api/app-installations/get-all-installations-of-an-app-within-an-organization ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `app_definition_id` (string, required) — app_definition_id identifier - `organization_id` (string, required) — organization_id identifier ### Headers - `sys.organization.sys.id[in]` (string, required) ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "includes": { "Environment": [ { "name": "environment", "sys": { "createdAt": "2025-12-10T04:24:39.000Z", "createdBy": { "sys": { "id": "75cxRYbSLlWMlCrN1tZGdP", "linkType": "User", "type": "Link" } }, "id": "staging", "space": { "sys": { "id": "yadj1kx9rmg0", "linkType": "Space", "type": "Link" } }, "status": { "sys": { "id": "ready", "linkType": "Status", "type": "Link" } }, "type": "Environment", "updatedAt": "2025-12-10T04:24:39.000Z", "updatedBy": { "sys": { "id": "75cxRYbSLlWMlCrN1tZGdP", "linkType": "User", "type": "Link" } }, "version": 1 } } ] }, "items": [ { "parameters": { "hello": "world" }, "sys": { "appDefinition": { "sys": { "id": "", "linkType": "AppDefinition", "type": "Link" } }, "createdAt": "2025-05-06T12:06:22.000Z", "createdBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } }, "environment": { "sys": { "id": "staging", "linkType": "Environment", "type": "Link" } }, "space": { "sys": { "id": "yadj1kx9rmg0", "linkType": "Space", "type": "Link" } }, "type": "AppInstallation", "updatedAt": "2025-05-06T12:06:22.000Z", "updatedBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } } } } ], "sys": { "type": "Array" } } ``` **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.appInstallation.getForOrganization({ organizationId: '', appDefinitionId: '', }) .then((installations) => console.log(installations)) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const appInstallations = await client.appInstallation.getForOrganization({ organizationId: '', appDefinitionId: '', }); ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby SDK currently doesn't implement this endpoint. ``` ```python Python SDK currently doesn't implement this endpoint. ``` ```.net .NET SDK currently doesn't implement this endpoint. ```